/*
 * Copyright 1991, 1992, John F. Haugh II
 * All rights reserved.
 *
 * Permission is granted to copy and create derivative works for any
 * non-commercial purpose, provided this copyright notice is preserved
 * in all copies of source code, or included in human readable form
 * and conspicuously displayed on all copies of object code or
 * distribution media.
 */

#include <sys/types.h>
#include "is_types.h"

#ifndef lint
static	char	sccsid[] = "@(#)db_rewind.c	1.6	12:27:43	1/28/92";
#endif

extern	int	db_errno;

/*
 * db_rewind - rewind the current index for a database file
 *
 * db_rewind() logically rewinds the currently selected index to the
 * beginning of that index.
 */

int
db_rewind (dbm, filenum)
dbm_t	*dbm;
int	filenum;
{
	is_index_t *index;
	keyblk_t keyblk;
	file_t	*file;

	if (filenum < 0 || filenum >= dbm->d_file_count ||
			dbm->d_files[filenum].f_file_name[0] == '\0')
		return (db_errno = DB_INVALID), -1;

	file = &dbm->d_files[filenum];
	if (file->f_schema->s_fields == 0)
		return (db_errno = DB_NOTOPEN), -1;

	return isam_rewind (file);
}
