/*
 * Copyright 1991, 1992, John F. Haugh II
 * All rights reserved.
 *
 * Permission is granted to copy and create derivative works for any
 * non-commercial purpose, provided this copyright notice is preserved
 * in all copies of source code, or included in human readable form
 * and conspicuously displayed on all copies of object code or
 * distribution media.
 */

#include <sys/types.h>
#include "is_types.h"

#ifndef lint
static	char	sccsid[] = "@(#)is_rdwr.c	1.5	10:33:07	2/26/92";
#endif

extern	int	db_errno;

int
isam_read (file, block, data)
file_t	*file;
off_t	block;
keyblk_t *data;
{
	if (! __isam_getbuf (file, block, data))
		return 0;

	if (lseek (file->f_key_fd, block * file->f_bsize, 0) == -1)
		return (db_errno = DB_EIO), -1;

	if (read (file->f_key_fd, (char *) data, file->f_bsize) !=
			file->f_bsize)
		return (db_errno = DB_EIO), -1;

	return 0;
}

int
isam_read_data (file, record, buffer)
file_t	*file;
off_t	record;
char	*buffer;
{
	if (lseek (file->f_data_fd, record * file->f_record_size, 0) == -1)
		return (db_errno = DB_EIO), -1;

	if (read (file->f_data_fd, buffer, file->f_record_size) !=
			file->f_record_size)
		return (db_errno = DB_EIO), -1;

	return 0;
}

int
isam_write (file, block, data)
file_t	*file;
off_t	block;
keyblk_t *data;
{
	if (lseek (file->f_key_fd, block * file->f_bsize, 0) == -1)
		return (db_errno = DB_EIO), -1;

	if (write (file->f_key_fd, (char *) data, file->f_bsize) !=
			file->f_bsize)
		return (db_errno = DB_EIO), -1;

	__isam_putbuf (file, block, data);
	return 0;
}

int
isam_write_data (file, record, buffer)
file_t	*file;
off_t	record;
char	*buffer;
{
	if (lseek (file->f_data_fd, record * file->f_record_size, 0) == -1)
		return (db_errno = DB_EIO), -1;

	if (write (file->f_data_fd, buffer, file->f_record_size) !=
			file->f_record_size)
		return (db_errno = DB_EIO), -1;

	return 0;
}
