#!/bin/sh
#
# Test 1
#	Exercise the db_rename_field function
#
#	@(#)test_01.sh	1.5	09:30:05	3/30/92
#
set -e
RC=1
trap 'rm -f test_01.old test_01.new test_01 test_01.o test_01; exit $RC' 0 1 2 3 15

DBPATH=. ; export DBPATH

#
# make sure the database is set up correctly
#
./dbshow -v music songs > test_01.old
cmp -s - test_01.old << \EOF
database music

{ block size = 512 }

file songs

{ record size = 80, block size = 4096 }

field	.songs	type	index unique
field	sng_title	type	char length 60
field	sng_title_idx	type	index	sng_title
field	sng_pub_key	type	char length 8
field	sng_cat_key	type	char length 8
field	sng_album_key	type	index	sng_pub_key, sng_cat_key
field	sng_track	type	int
field	sng_song_idx	type	index unique	sng_pub_key, sng_cat_key, sng_track

end
EOF

if [ ! -f test_01.c ] ; then
	get s.test_01.c
fi
cc -o test_01 $CCFLAGS test_01.c libidbm.a $LDFLAGS
./test_01 music songs sng_title sng_name

./dbshow -v music songs > test_01.new
cmp -s - test_01.new << \EOF
database music

{ block size = 512 }

file songs

{ record size = 80, block size = 4096 }

field	.songs	type	index unique
field	sng_name	type	char length 60
field	sng_title_idx	type	index	sng_name
field	sng_pub_key	type	char length 8
field	sng_cat_key	type	char length 8
field	sng_album_key	type	index	sng_pub_key, sng_cat_key
field	sng_track	type	int
field	sng_song_idx	type	index unique	sng_pub_key, sng_cat_key, sng_track

end
EOF
./test_01 music songs sng_name sng_title
./dbshow -v music songs > test_01.new
cmp -s test_01.old test_01.new

RC=0
