#!/bin/sh
#
# Test 3
#	Check for proper index ordering
#
#	@(#)test_03.sh	1.2	11:14:04	12/27/91
#
set -e
RC=1
trap 'rm -f *.raw *.out ; exit $RC' 0 1 2 15

DBPATH=. ; export DBPATH

#
# art.raw is the list of artists, sorted by art_name_idx
#
cat > art.raw << \EOF
Billy Joel|BJOEL
Neil Young & The Bluenotes|NY&TB
Phil Collins|PCOLLINS
Robert Palmer|RPALMER
Sting|STING
EOF

#
# alb.raw is the list of albums, sorted by alb_album_key
#
cat > alb.raw << \EOF
The Soul Cages|STING|A&M|6405-2
No Jacket Required|PCOLLINS|ATLANTIC|81240-2
But Seriously|PCOLLINS|ATLANTIC|82050-2
An Innocent Man|BJOEL|CBS|CK38837
Storm Front|BJOEL|CBS|CK44366
Heavy Nova|RPALMER|EMI|48057-2
This Note's For You|NY&TB|REPRISE|25719-2
EOF

#
# pub.raw is the list of publishers, sorted by pub_name_idx
#
cat > pub.raw << \EOF
A&M Records, Inc.|A&M
Atlantic Recording Corporation|ATLANTIC
CBS Records, Inc.|CBS
EMI-Manhattan Records|EMI
Reprise Records|REPRISE
EOF

#
# song.raw is the list of songs, sorted by sng_song_idx
#
cat > song.raw << \EOF
Island Of Souls|A&M|6405-2|1
All This Time|A&M|6405-2|2
Mad About You|A&M|6405-2|3
Jeremiah Blues (Part 1)|A&M|6405-2|4
Why Should I Cry For You|A&M|6405-2|5
Saint Agnes And the Burning Train|A&M|6405-2|6
The Wild Wild Sea|A&M|6405-2|7
The Soul Cages|A&M|6405-2|8
When The Angels Fall|A&M|6405-2|9
Sussudio|ATLANTIC|81240-2|1
Only You Know And I Know|ATLANTIC|81240-2|2
Long Long Way To Go|ATLANTIC|81240-2|3
I Don't Wanna Know|ATLANTIC|81240-2|4
One More Night|ATLANTIC|81240-2|5
Don't Lose My Number|ATLANTIC|81240-2|6
Who Said I Would|ATLANTIC|81240-2|7
Doesn't Anybody Stay Together Anymore|ATLANTIC|81240-2|8
Inside Out|ATLANTIC|81240-2|9
Take Me Home|ATLANTIC|81240-2|10
We Said Hello Goodbye|ATLANTIC|81240-2|11
Hang In Long Enough|ATLANTIC|82050-2|1
That's Just The Way It Is|ATLANTIC|82050-2|2
Do You Remember?|ATLANTIC|82050-2|3
Something Happened On The Way To Heaven|ATLANTIC|82050-2|4
Colours|ATLANTIC|82050-2|5
I Wish It Would Rain Down|ATLANTIC|82050-2|6
Another Day In Paradise|ATLANTIC|82050-2|7
Heat On The Street|ATLANTIC|82050-2|8
All Of My Life|ATLANTIC|82050-2|9
Saturday Night And Sunday Morning|ATLANTIC|82050-2|10
Father To Son|ATLANTIC|82050-2|11
Find A Way To My Heart|ATLANTIC|82050-2|12
Easy Money|CBS|CK38837|1
An Innocent Man|CBS|CK38837|2
Uptown Girl|CBS|CK38837|3
This Night|CBS|CK38837|4
Tell Her About It|CBS|CK38837|5
The Longest Time|CBS|CK38837|6
Careless Talk|CBS|CK38837|7
Christie Lee|CBS|CK38837|8
Leave a Tender Moment Alone|CBS|CK38837|9
Keeping The Faith|CBS|CK38837|10
That's Not Her Style|CBS|CK44366|1
We Didn't Start The Fire|CBS|CK44366|2
The Downeaster "Alexa"|CBS|CK44366|3
I Go To Extremes|CBS|CK44366|4
Shameless|CBS|CK44366|5
Storm Front|CBS|CK44366|6
Leningrad|CBS|CK44366|7
State Of Grace|CBS|CK44366|8
When In Rome|CBS|CK44366|9
And So It Goes|CBS|CK44366|10
Simply Irresistible|EMI|48057-2|1
More Than Ever|EMI|48057-2|2
Change His Ways|EMI|48057-2|3
Disturbing Behavior|EMI|48057-2|4
Early In The Morning|EMI|48057-2|5
It Could Happen To You|EMI|48057-2|6
She Makes My Day|EMI|48057-2|7
Between Us|EMI|48057-2|8
Casting A Spell|EMI|48057-2|9
Tell Me I'm Not Dreaming|EMI|48057-2|10
Ten Men Workin'|REPRISE|25719-2|1
This Note's For You|REPRISE|25719-2|2
Coupe De Ville|REPRISE|25719-2|3
Life In The City|REPRISE|25719-2|4
Twilight|REPRISE|25719-2|5
Married Man|REPRISE|25719-2|6
Sunny Inside|REPRISE|25719-2|7
Can't Believe Your Lyin'|REPRISE|25719-2|8
Hey Hey|REPRISE|25719-2|9
One Thing|REPRISE|25719-2|10
EOF

#
# unload each of the files using the key field that was used to
# generate the .raw file.
#
./dbunload music artists art_name_idx > art.out
./dbunload music albums alb_album_key > alb.out
./dbunload music publisher pub_name_idx > pub.out
./dbunload music songs sng_song_idx > song.out

#
# compare each of the .raw to .out files.  they should be identical
#
for file in *.raw ; do
	cmp $file `basename $file .raw`.out
done

#
# return with the success code.
#
RC=0
