#!/bin/sh
#
# Test 6
#	Check for proper index ordering
#
#	@(#)test_06.sh	1.1	10:23:16	1/24/92
#
rm -f test[0-9].dat test[0-9].idx test.out
set -e
RC=1

trap 'rm -f test.out test.sch test_06.o test_06 test[0-9].dat test[0-9].idx ; exit $RC' 0 1 2 15

DBPATH=. ; export DBPATH

#
# create a schema containing 1 field and 2 indicies
#

cat > test.sch << EOF
database test0

file test1

field value type int
field up type index value
field down type index value descending

end
EOF

./dbschema test.sch

#
# get the schema for the new database, and make certain it is correct
#

./dbshow test0 > test.out
cmp - test.out << EOF
database test0

file test1

field	value	type	int
field	up	type	index	value
field	down	type	index	value descending

end
EOF

#
# load some values into the file
#

./dbload test0 test1 << EOF
1
19
2
17
3
13
5
11
7
EOF

#
# see if the up index has the values in the correct order
#

./dbunload test0 test1 up > test.out
cmp - test.out << EOF
1
2
3
5
7
11
13
17
19
EOF

#
# see if the down index has the values in the correct order
#

./dbunload test0 test1 down > test.out
cmp - test.out << EOF
19
17
13
11
7
5
3
2
1
EOF

#
# everything is OK, exit
#
RC=0
